Bug 474847 - iptables-restore manpage out of date/lacking information
iptables-restore manpage out of date/lacking information
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iptables (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: iptables-maint-list
Depends On:
  Show dependency treegraph
Reported: 2008-12-05 11:08 EST by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 06:59:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2008-12-05 11:08:33 EST
Man page for iptables-restore doesn't contain much info. It's missing most options that -h knows of. 

man 8 iptables-restore has info only about '-c' and '-n' options. 

[root@kovy ~]# iptables-restore -h
Usage: iptables-restore [-b] [-c] [-v] [-t] [-h]
           [ --binary ]
           [ --counters ]
           [ --verbose ]
           [ --test ]
           [ --help ]
           [ --noflush ]
          [ --modprobe=<command>]

Expected results:
iptables-restore man page contains more information. 

Comment 1 Phil Knirsch 2009-03-30 10:16:59 EDT
Some options are not implemented, so the maintainer will fix the usage properly.

Granting Devel ACK for that.

Thanks & regards, Phil
Comment 7 errata-xmlrpc 2009-09-02 06:59:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.